import { ElementRef, EventEmitter } from '@angular/core';
import { NgxDragDropService } from './dragDrop.service';
export interface IOnDropData {
    dragTag: string;
    dragData: any;
    dropData: any;
}
export declare class NgxDroppableDirective {
    private el;
    private dragDropService;
    constructor(el: ElementRef, dragDropService: NgxDragDropService);
    ngxDroppable: EventEmitter<IOnDropData>;
    ngxDropTags: string[];
    ngxDropData: any;
    onDragEnter(event: any): void;
    onDragOver(event: any): void;
    onDragLeave(event: any): void;
    onDrop(event: any): void;
}
